Format test output so that GoCD can see the test output

08/11/2017 01:54 AM - Luke Murphey

Status: Closed Start date: 08/10/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.5   

Description

https://pypi.python.org/pypi/unittest-xml-reporting

Associated revisions

Revision 594 - 08/11/2017 05:42 AM - lukemurphey

Adding output of test results to xml

Reference #1983

Revision 596 - 08/11/2017 04:42 PM - lukemurphey

Making the test output dependent on an environment variable

Reference #1983

History

#1 - 08/11/2017 01:55 AM - Luke Murphey

https://stackoverflow.com/questions/11241781/python-unittests-in-jenkins

#2 - 08/11/2017 06:54 AM - Luke Murphey

- % Done changed from 0 to 90

#3 - 08/11/2017 07:02 AM - Luke Murphey

- Status changed from New to In Progress

#4 - 08/11/2017 05:54 PM - Luke Murphey

Go doesn't do much to render these. I don't see this as adding much value.

Might want to consider this if I want formatted test results: http://tungwaiyip.info/software/sample_test_report.html

#5 - 08/11/2017 05:55 PM - Luke Murphey

I do like how to matches up the console output to the test though.

#6 - 08/11/2017 06:36 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 90 to 100
